# Reset the screen
kill @e[tag=screen_item,tag=maze]
kill @e[tag=screen_text,tag=maze]
kill @e[tag=screen_help,tag=maze]

# Make sure our screen entity has the correct tag. This will be applied to all summoned entities.
data modify entity @s data.screen.game_id set value "maze"

# Player Pos
scoreboard objectives add maze_x dummy
scoreboard objectives add maze_y dummy
scoreboard objectives add maze_old_x dummy
scoreboard objectives add maze_old_y dummy

scoreboard objectives add maze_power_time dummy
scoreboard objectives add maze_max_power_time dummy

# Ghost Scoreboards
scoreboard objectives add target_x dummy
scoreboard objectives add target_y dummy

# These are used by the ghosts at intersections
scoreboard objectives add dir_a dummy
scoreboard objectives add dir_b dummy
scoreboard objectives add dist_a dummy
scoreboard objectives add dist_b dummy
scoreboard objectives add dist_x dummy
scoreboard objectives add dist_y dummy

# Move direction, move timer
scoreboard objectives add maze_d dummy
scoreboard objectives add maze_old_d dummy
scoreboard objectives add maze_t dummy
scoreboard objectives add maze_game_speed dummy

# Round score, total score, hi-score, lives
scoreboard objectives add maze_r dummy
scoreboard objectives add maze_s dummy
scoreboard objectives add maze_h dummy
scoreboard objectives add maze_l dummy

scoreboard players set @s maze_s 0
scoreboard players set @s maze_game_speed 6
scoreboard players set @s maze_l 3

scoreboard players set @s maze_max_power_time 240

# Add the score titles to the screen
data modify entity @s data.screen merge value {x:4,y:27,text:"P1:"}
function arcade:text/title_left with entity @s data.screen
data modify entity @s data.screen merge value {x:18,y:27,text:"HI:"}
function arcade:text/title_left with entity @s data.screen

# Add score placeholders to the screen
data modify entity @s data.screen merge value {x:12,y:27,text:0}
function arcade:text/title_right with entity @s data.screen
data modify entity @s data.screen merge value {x:26,y:27,text:1}
function arcade:text/title_right with entity @s data.screen

# Summon a marker to help with each ghost
summon marker ~ ~ ~ {Tags:["screen_help","maze","ghost","ghost_r"],data:{screen:{game_id:"maze"}}}
summon marker ~ ~ ~ {Tags:["screen_help","maze","ghost","ghost_p"],data:{screen:{game_id:"maze"}}}
summon marker ~ ~ ~ {Tags:["screen_help","maze","ghost","ghost_c"],data:{screen:{game_id:"maze"}}}
summon marker ~ ~ ~ {Tags:["screen_help","maze","ghost","ghost_o"],data:{screen:{game_id:"maze"}}}

function maze:reset_round

function maze:player/update_scores