function arcade:read_inputs

tag @s remove input_rise
tag @s[tag=input_left_rise] add input_rise
tag @s[tag=input_right_rise] add input_rise
tag @s[tag=input_forward_rise] add input_rise
tag @s[tag=input_backward_rise] add input_rise

# Update direction based on rising inputs
execute if entity @s[scores={snake_t=0..},tag=input_rise] run function snake:update_direction

# Update position if direction changed or timer ran out
execute if entity @s[scores={snake_t=1..},tag=input_rise] run function snake:update_position
execute if score @s snake_t matches 0 run function snake:update_position

# Spread red tiles through the body of a dead snake
execute if score @s snake_t matches -1 run function snake:spread_red

# Handle restarting after a game over
execute if entity @s[scores={snake_t=-2},tag=input_sprint_rise] run function snake:game_start

# Decrease the timer
execute if entity @s[scores={snake_t=1..}] run scoreboard players remove @s snake_t 1