# Update the target
execute if entity @s[tag=ghost_r] run function maze:ghost/red/target
execute if entity @s[tag=ghost_p] run function maze:ghost/pink/target
execute if entity @s[tag=ghost_c] run function maze:ghost/cyan/target
execute if entity @s[tag=ghost_o] run function maze:ghost/orange/target

# Store old direction
scoreboard players operation @s maze_old_d = @s maze_d

# Find the viable directions (Not a wall, Not Reverse)
scoreboard players operation @s maze_old_x = @s maze_x
scoreboard players operation @s maze_old_y = @s maze_y
function maze:ghost/scan_intersection
scoreboard players operation @s maze_x = @s maze_old_x
scoreboard players operation @s maze_y = @s maze_old_y

# tellraw @p ["Dir A: ",{"score":{"name":"@s","objective":"dir_a"}}]
# tellraw @p ["Dir B: ",{"score":{"name":"@s","objective":"dir_b"}}]

# If there's only one viable direction, choose it
execute if score @s dir_b matches -1 run return run scoreboard players operation @s maze_d = @s dir_a

# Choose randomly if frightened
execute if score @n[tag=screen] maze_power_time matches 1.. if predicate {"condition":"minecraft:random_chance","chance":0.5} run return run scoreboard players operation @s maze_d = @s dir_a
execute if score @n[tag=screen] maze_power_time matches 1.. run return run scoreboard players operation @s maze_d = @s dir_b

# Get the distances
function maze:ghost/distance_a
function maze:ghost/distance_b

# Choose the shorter distance
scoreboard players operation @s maze_d = @s dir_a
execute if score @s dist_b < @s dist_a run scoreboard players operation @s maze_d = @s dir_b
