scoreboard players operation @s maze_t = @n[tag=screen] maze_game_speed
scoreboard players add @s maze_t 1

# Move the ghost
execute if score @s maze_d matches 0 run scoreboard players add @s maze_x 1
execute if score @s maze_d matches 1 run scoreboard players add @s maze_y 1
execute if score @s maze_d matches 2 run scoreboard players remove @s maze_x 1
execute if score @s maze_d matches 3 run scoreboard players remove @s maze_y 1

# Wrap the coordinates around edges
execute if score @s maze_x matches 31.. run scoreboard players set @s maze_x 1
execute if score @s maze_x matches ..0 run scoreboard players set @s maze_x 30

# Move the item to the new block
execute store result entity @s data.screen.x int 1 run scoreboard players get @s maze_x
execute store result entity @s data.screen.y int 1 run scoreboard players get @s maze_y
execute if entity @s[tag=ghost_r] run data modify entity @s data.screen.tag set value "ghost_r"
execute if entity @s[tag=ghost_p] run data modify entity @s data.screen.tag set value "ghost_p"
execute if entity @s[tag=ghost_c] run data modify entity @s data.screen.tag set value "ghost_c"
execute if entity @s[tag=ghost_o] run data modify entity @s data.screen.tag set value "ghost_o"
function arcade:item/move with entity @s data.screen

# Update the scores for the old position
scoreboard players operation @s maze_old_x = @s maze_x
scoreboard players operation @s maze_old_y = @s maze_y

# Determine our new direction, if applicable
execute store result entity @s data.screen.x int 1 run scoreboard players get @s maze_x
execute store result entity @s data.screen.y int 1 run scoreboard players get @s maze_y
function arcade:screen/scan_meta with entity @s data.screen
execute if block ~1 ~ ~-1 yellow_concrete run function maze:ghost/update_direction

