# Reset the timer
scoreboard players operation @s maze_t = @n[tag=screen] maze_game_speed

execute if score @s maze_d matches 0 run scoreboard players add @s maze_x 1
execute if score @s maze_d matches 1 run scoreboard players add @s maze_y 1
execute if score @s maze_d matches 2 run scoreboard players remove @s maze_x 1
execute if score @s maze_d matches 3 run scoreboard players remove @s maze_y 1

# Wrap the coordinates around edges
execute if score @s maze_x matches 31.. run scoreboard players set @s maze_x 1
execute if score @s maze_x matches ..0 run scoreboard players set @s maze_x 30

# Check the screen at the new target position
execute store result entity @s data.screen.x int 1 run scoreboard players get @s maze_x
execute store result entity @s data.screen.y int 1 run scoreboard players get @s maze_y
function arcade:screen/scan_point with entity @s data.screen

# Stop at walls
execute if block ~1 ~ ~ #maze:maze_wall run return run function maze:wall
execute if block ~1 ~ ~ gilded_blackstone run function maze:player/eat_normal
execute if block ~1 ~ ~ raw_gold_block run function maze:player/eat_power

# Move the item to the new block
execute store result entity @s data.screen.x int 1 run scoreboard players get @s maze_x
execute store result entity @s data.screen.y int 1 run scoreboard players get @s maze_y
data modify entity @s data.screen.tag set value "player"
function arcade:item/move with entity @s data.screen

# data modify entity @s data.screen.block set value yellow_wool
# function arcade:screen/draw_point with entity @s data.screen

# Set the new block to be blackstone
execute store result entity @s data.screen.x int 1 run scoreboard players get @s maze_x
execute store result entity @s data.screen.y int 1 run scoreboard players get @s maze_y
data modify entity @s data.screen.block set value blackstone
function arcade:screen/draw_point with entity @s data.screen

# Update the scores for the old position
scoreboard players operation @s maze_old_x = @s maze_x
scoreboard players operation @s maze_old_y = @s maze_y
