# Reset the screen
clone ~1 ~1 ~-1 ~30 ~30 ~-1 ~1 ~1 ~
kill @e[tag=screen_item,tag=paint]

# Make sure our screen entity has the correct tag. This will be applied to all summoned entities.
data modify entity @s data.screen.game_id set value "paint"

# Add the cursor to the screen
data modify entity @s data.screen merge value {x:15,y:17,item:"minecraft:brush",tag:"brush"}
execute as @n[tag=screen] at @s run function arcade:item/add with entity @s data.screen

# Set scoreboards for the game
scoreboard objectives add paint_x dummy
scoreboard objectives add paint_y dummy
scoreboard objectives add paint_c dummy
scoreboard objectives add paint_r dummy

scoreboard players set @s paint_x 15
scoreboard players set @s paint_y 17
scoreboard players set @s paint_c 1

scoreboard players set BASE paint_r 6
scoreboard players set HOLD paint_r 2

scoreboard players operation @s paint_r = BASE paint_r

# Initial color data
data modify entity @s data.screen.color set value "minecraft:white_concrete"
setblock ~1 ~ ~-1 minecraft:white_concrete