# Check if any input is pressed
function arcade:read_inputs

tag @s remove input_held
tag @s[tag=input_left] add input_held
tag @s[tag=input_right] add input_held
tag @s[tag=input_forward] add input_held
tag @s[tag=input_backward] add input_held

execute if entity @s[tag=input_held] run scoreboard players remove @s paint_r 1
tag @s[tag=input_left,scores={paint_r=0}] add input_left_rise
tag @s[tag=input_right,scores={paint_r=0}] add input_right_rise
tag @s[tag=input_forward,scores={paint_r=0}] add input_forward_rise
tag @s[tag=input_backward,scores={paint_r=0}] add input_backward_rise

execute unless entity @s[tag=input_held] run scoreboard players operation @s paint_r = BASE paint_r
scoreboard players operation @s[scores={paint_r=0}] paint_r = HOLD paint_r

tag @s remove input_rise
tag @s[tag=input_left_rise] add input_rise
tag @s[tag=input_right_rise] add input_rise
tag @s[tag=input_forward_rise] add input_rise
tag @s[tag=input_backward_rise] add input_rise

tag @s[tag=input_rise,tag=input_jump] add input_jump_rise

execute if entity @s[tag=input_rise] at @s run function paint:update_position
execute if entity @s[tag=input_jump_rise] at @s run function paint:update_pixel
execute if entity @s[tag=input_sprint_rise] at @s run function paint:update_color