# Reset the screen
clone ~1 ~1 ~-1 ~30 ~30 ~-1 ~1 ~1 ~ 
kill @e[tag=screen_item,tag=snake]
kill @e[tag=screen_text,tag=snake]

# Make sure our screen entity has the correct tag. This will be applied to all summoned entities.
data modify entity @s data.screen.game_id set value "snake"

# Set scoreboards for the game
scoreboard objectives add snake_x dummy
scoreboard objectives add snake_y dummy
scoreboard objectives add snake_l dummy
scoreboard objectives add snake_d dummy
scoreboard objectives add snake_t dummy

scoreboard objectives add snake_h dummy

scoreboard players set @s snake_l 0
scoreboard players set @s snake_d 0
scoreboard players set @s snake_t 10

# Add the snake to the screen
setblock ~8 ~11 ~ lime_concrete
setblock ~7 ~11 ~ green_concrete
setblock ~6 ~11 ~ green_concrete
data modify entity @s data.snake.segments set value [{x:8,y:11},{x:7,y:11},{x:6,y:11}]
scoreboard players set @s snake_x 8
scoreboard players set @s snake_y 11

function snake:place_fruit

# Add the score titles to the screen
data modify entity @s data.screen merge value {x:4,y:26,text:"P1:"}
function arcade:text/title_left with entity @s data.screen
data modify entity @s data.screen merge value {x:18,y:26,text:"HI:"}
function arcade:text/title_left with entity @s data.screen

# Add score placeholders to the screen
data modify entity @s data.screen merge value {x:12,y:26,text:0}
function arcade:text/title_right with entity @s data.screen
data modify entity @s data.screen merge value {x:26,y:26,text:0}
function arcade:text/title_right with entity @s data.screen

function snake:update_scores