# Reset the timer
scoreboard players set @s snake_t 2

execute if score @s snake_d matches 0 run scoreboard players add @s snake_x 1
execute if score @s snake_d matches 1 run scoreboard players add @s snake_y 1
execute if score @s snake_d matches 2 run scoreboard players remove @s snake_x 1
execute if score @s snake_d matches 3 run scoreboard players remove @s snake_y 1

# Wrap the coordinates around edges
execute if score @s snake_x matches 29.. run scoreboard players set @s snake_x 3
execute if score @s snake_x matches ..2 run scoreboard players set @s snake_x 28
execute if score @s snake_y matches 23.. run scoreboard players set @s snake_y 3
execute if score @s snake_y matches ..2 run scoreboard players set @s snake_y 22

# Check the screen at the new target position
execute store result entity @s data.screen.x int 1 run scoreboard players get @s snake_x
execute store result entity @s data.screen.y int 1 run scoreboard players get @s snake_y
function arcade:screen/scan_point with entity @s data.screen

execute if block ~1 ~ ~ green_concrete run return run function snake:kill
execute if block ~1 ~ ~ orange_concrete run function snake:grow

# Add the new head position to the snake data
data modify entity @s data.snake.segments prepend value {x:0,y:0}
execute store result entity @s data.snake.segments[0].x int 1 run scoreboard players get @s snake_x
execute store result entity @s data.snake.segments[0].y int 1 run scoreboard players get @s snake_y

# Set the new head to lime concrete
data modify entity @s data.screen.x set from entity @s data.snake.segments[0].x
data modify entity @s data.screen.y set from entity @s data.snake.segments[0].y
data modify entity @s data.screen.block set value "lime_concrete"
function arcade:screen/draw_point with entity @s data.screen

# Set the old head to green concrete
data modify entity @s data.screen.x set from entity @s data.snake.segments[1].x
data modify entity @s data.screen.y set from entity @s data.snake.segments[1].y
data modify entity @s data.screen.block set value "green_concrete"
function arcade:screen/draw_point with entity @s data.screen

# Set the old tail to black concrete (unless it's fruit now)
data modify entity @s data.screen.x set from entity @s data.snake.segments[-1].x
data modify entity @s data.screen.y set from entity @s data.snake.segments[-1].y
data modify entity @s data.screen.block set value "black_concrete"
function arcade:screen/scan_point with entity @s data.screen
execute if block ~1 ~ ~ green_concrete run function arcade:screen/draw_point with entity @s data.screen

data remove entity @s data.snake.segments[-1]

# Ensure the new tail is still green concrete
data modify entity @s data.screen.x set from entity @s data.snake.segments[-1].x
data modify entity @s data.screen.y set from entity @s data.snake.segments[-1].y
data modify entity @s data.screen.block set value "green_concrete"
function arcade:screen/draw_point with entity @s data.screen
